View Issue Details

IDProjectCategoryView StatusLast Update
0003830unrealmodule apipublic2015-05-21 19:52
ReportertotalsolidAssigned Tosyzop 
PrioritynormalSeverityfeatureReproducibilityalways
Status resolvedResolutionfixed 
PlatformOS*OS Version*
Product Version3.2 
Target VersionFixed in Version3.4-alpha2 
Summary0003830: Whois hook..
DescriptionI think this would be very helpfull to module coders. Especially being unable to add some lines to whois reply.. What do you think?
TagsNo tags attached.
3rd party modules

Activities

goldenwolf

2009-02-20 16:46

reporter   ~0015797

Not that hard to add lines to whois, just look through the m_whois module. But i guess its a good idea, easier if nothing else.

Stealth

2009-07-23 17:36

reporter   ~0015884

A WHOIS hook wouldn't be too hard to add, but I do not know what you would add to it. I suppose this could have use if someone made a module that supports services accounts instead of usermode +r.

However, I don't think this will be added unless someone submits a patch for it. Shouldn't be too hard to create one.

dboyz

2015-05-21 17:18

reporter   ~0018321

This has been added in 3.4

syzop

2015-05-21 19:51

administrator   ~0018325

oh, yeah, indeed, this is in 3.4-alpha2.

the idea is to enhance it (and make it not a hook), but that's another thing.. and that idea is from like 2004 :D

Issue History

Date Modified Username Field Change
2009-02-16 15:07 totalsolid New Issue
2009-02-20 16:46 goldenwolf Note Added: 0015797
2009-07-23 17:36 Stealth Note Added: 0015884
2015-05-21 17:18 dboyz Note Added: 0018321
2015-05-21 19:51 syzop Note Added: 0018325
2015-05-21 19:51 syzop Status new => resolved
2015-05-21 19:51 syzop Fixed in Version => 3.4-alpha2
2015-05-21 19:51 syzop Resolution open => fixed
2015-05-21 19:51 syzop Assigned To => syzop
2017-01-06 15:48 syzop Category module => module api